models/Works.php
<?php

namespace app\models;

use Yii;

use yii\db\ActiveRecord;

/**
 * This is the model class for table "ciclista".
 *
 * @property int $dorsal
 * @property string $nombre
 * @property int|null $edad
 * @property string $nomequipo
 *
 * @property Equipo $nomequipo0
 * @property Etapa[] $etapas
 * @property Lleva[] $llevas
 * @property Puerto[] $puertos
 */
class Works extends ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'works';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['title', 'content'], 'required'],
            [['u_id'], 'integer'],
            [['title'], 'string',],
            [['id'], 'unique'],
           
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'id'),
            'u_id' => Yii::t('app', 'Id de usuario'),
            'title' => Yii::t('app', 'Título'),
        ];
    }

    /**
     * Gets query for [[Nomequipo0]].
     *
     * @return \yii\db\ActiveQuery
     */
    /**
     * Gets query for [[Etapas]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getU_id()
    {
        return $this->hasMany(Users::className(), ['u_id' => 'id']);
    }

    /**
     * Gets query for [[Llevas]].
     *
     * @return \yii\db\ActiveQuery
     */

    /**
     * Gets query for [[Puertos]].
     *
     * @return \yii\db\ActiveQuery
     */

}

controllers/WorksController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Ciclista;
use app\models\Works;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * CiclistaController implements the CRUD actions for Ciclista model.
 */
class WorksController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Ciclista models.
     * @return mixed
     */
    public function actionBlog()
    {
        
        $title = Works::find()->select('title')->all();
        $content = Works::find()->select('content')->all();
        $id = Works::find()->select('id')->all();
        $dataProvider = new ActiveDataProvider([
            'query' => Works::find(),
            
        ]);

        return $this->render('blog', [
            'dataProvider' => $dataProvider,
            'title' => $title,
            'content' => $content,
            'id' => $id,
            
        ]);
    }

    /**
     * Displays a single Ciclista model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
  /*  public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }*/
    
    public function actionView($id) {
        $id = (int) $id;
        $work = Works::find()->where(['id' => $id])->one();
        
        if (!$work) {
            throw new NotFoundHttpException(Yii::t('app', 'The post not found'));
        }
        
      /*  if ($work->status != Constant::STATUS_PUBLISHED && (!Helper::isOwner($work->created_by) && !Helper::isAdmin())) {
            throw new NotFoundHttpException(Yii::t('app', 'The post is not published.'));
        }
        elseif ($work->status == Constant::STATUS_PUBLISHED && $work->published_time > time() && (!Helper::isOwner($work->created_by) && !Helper::isAdmin())) {
            throw new NotFoundHttpException(Yii::t('app', 'The post is not published.'));
        }*/

        return $this->render('view', [
                    'model' => $work,
                    'id' => $id,
        ]);
    }

    /**
     * Creates a new Ciclista model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new \app\models\Works();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Ciclista model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
       

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'ID' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
            'id' => $model->id,
        ]);
    }

    /**
     * Deletes an existing Ciclista model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Ciclista model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Ciclista the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Works::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('app', 'The requested page does not exist.'));
    }
  
}

views/works/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
?>

<div class="post-form ">
    <div class="row">
        <div class="col-3"></div>
        <div class="col-6">
        <?php $form = ActiveForm::begin([
            'enableClientScript' => false
        ]); ?>

        <?= $form->errorSummary([$model]);?>
            <h1> Introduce tu escrito </h1>
         <div class="form-group field-works-title required">
            <label class="control-label" for="works-title">Título</label>
            <input type="text" id="works-title" class="form-control" name="Works[title]" maxlength="254" aria-required="true">

            <div class="help-block"></div>
        </div>   

        <div class="form-group field-works-content required">
            <label class="control-label" for="works-content">Contenido</label>
            <textarea rows="30" type="text" id="works-content" class="form-control" name="Works[content]" aria-required="true" ></textarea>
            <div class="help-block"></div>
        </div>


        <div class="form-group">
            <?= Html::submitButton(Yii::t('app', 'Guardar'), ['class' => 'btn btn-success float-right']) ?>
        </div>
        </div>
        <div class="col-3"></div>
    </div>
    
    <!-- $form->field($model, 'image_url')->textInput(['maxlength' => true])  

     $form->field($model, 'summary')->textarea(['rows' => 3]) 

     $form->field($model, 'content')->textarea(['rows' => 6, 'id'=>'content_editor']) 
     Html::a(Yii::t('app', 'Edit as markdown'), '#', ['id'=>'edit_markdown', 'class' => 'pull-right text text-danger'])
    <br/>
    
    <? if (\app\helpers\Helper::isAdmin()):
     $form->field($model, 'published_time')->textInput(['type' => 'datetime-local', 'value' => substr(date('c', $model->published_time), 0, 19)]) 
    
     $form->field($model, 'status')->checkbox()
    -->
    
 

    <?php ActiveForm::end(); ?>

</div>

views/works/blog.php
<?php  

use yii\helpers\Url;
use app\models\Works;

$this->title = 'Blog';
include \Yii::getAlias('@app/views/layouts/headers.php');


?>
<!--Slider-->
<div class="container slider_banner_info_top">
		
   <h2 class="heading text-center text-uppercase mt-5 mb-5">Blog</h2>
     
</div>

<div>
   <div class="row">
       <div class="col-2 text-center">
           <form action="<?= Url::toRoute('works/create');?>">
               <input class="btn btn-primary btn-create" type="submit" value="Crear algo " />
           </form>
       </div>
        <div class="col-7">
            <div class="row">
                <div class="col-1"></div>           
                <div class="col-9 fix-blog">                            
                    <img src="<?= \Yii::getAlias('@web/images/trap-rap-poesia.png') ?>" alt="" class="img-fluid fit-image" />
                    <h3 class="mt-3 my-2 text-capitalize">Rap, Trap y Poesía </h3>
                    <p class="mb-2">La primera pregunta es obvia y necesaria: ¿qué es el trap? Para Yung Beef, «el trap es cocaína y follar». Bien, de acuerdo. Pero, entonces, ¿qué hace Ernesto Castro, autor de este libro, que dice ser un joven abstemio, que no ha probado ninguna droga dura y hace años que no folla, tarareando a todas horas las canciones lascivas y politoxicómanas que solemos llamar «trap»? ¿Qué le lleva a dedicar tanto tiempo a escribir el primer libro amplio e imprescindible sobre el trap que se puede leer en castellano? Más aún: ¿qué le ha pasado a la juventud española para que un doctor en Filosofía de clase media tenga como referente cultural a una figura como Yung Beef? Sin duda alguna, y en muy poco tiempo, el trap no sólo se ha hecho un hueco en la industria musical y en los medios de comunicación main­stream, sino que ha obtenido una popularidad social apabullante. Pero hay algo más. </p>
                    <a href="#" class="text-capitalize">Read more <span class="fas fa-long-arrow-alt-right"></span></a>
                    <span class="author-post">Escrito por <a href="#">Ribaldhino</a></span>               

                </div>
                <div class="col-2"> </div>

                <div class="col-1"></div>           
                <div class="col-9 fix-blog">                            
                    <img src="<?= \Yii::getAlias('@web/images/crisis-ciclicas.png') ?>" alt="" class="img-fluid fit-image" />
                    <h3 class="mt-3 my-2 text-capitalize">Un hecho: Crisis Cíclicas </h3>
                    <p class="mb-2">Uno de los mayores problemas de los que adolecen nuestros juicios económicos es que tratamos de elucubrarlos a la luz de nuestra experiencia diaria. En ocasiones el resultado puede ser satisfactorio pero en otras puede resultar bastante catastrófico. Por ejemplo, por todos es sabido que al capitalismo lo mueve el consumo; basta con darse un paseo por la calle para darse cuenta: cuando las tiendas están a rebosar, se crea empleo, y cuando están vacías, se destruye. Sencillo, ¿no?</p>
                    <a href="#" class="text-capitalize">Read more <span class="fas fa-long-arrow-alt-right"></span></a>
                    <span class="author-post">Escrito por <a href="#">ZeuxisMaster</a></span>
                </div>
                <div class="col-2"> </div>            

                <div class="col-1"></div>           
                <div class="col-9 fix-blog">                            
                    <img src="<?= \Yii::getAlias('@web/images/protestantismo-vs-catolicismo.jpg') ?>" alt="" class="img-fluid fit-image" />
                    <h3 class="mt-3 my-2 text-capitalize">Protestantismo vs Catolicismo </h3>
                    <p class="mb-2">Los protestantes y los católicos son dos ramas distintas del cristianismo y que no son iguales. Pero, ¿cuáles son las diferencias fundamentales entre un católico y un protestante? La Iglesia Católica y la Iglesia Evangélica poseen un concepto distinto en lo que hace a la esencia de la Iglesia. La Iglesia Católica se considera a sí misma la única Iglesia verdadera y universal, bajo la dirección del Papa. </p>
                    <a href="#" class="text-capitalize">Read more <span class="fas fa-long-arrow-alt-right"></span></a>
                    <span class="author-post">Escrito por <a href="#">MollyChan</a></span>
                </div>
                <div class="col-2"> </div>
            </div>
            <?php 
            $i = 0;
                foreach ($dataProvider->models as $model) { 
                $i += 1;    ?>
                <div class="row">
                    <div class="col-1"></div>           
                    <div class="col-9 fix-blog">                            
                        <img src="<?= \Yii::getAlias('@web/images/crisis-ciclicas.png') ?>" alt="" class="img-fluid fit-image" />                   
                        <h3 class="mt-3 my-2 text-capitalize"><?php  echo $model->title; ?> </h3>
                        <p class="mb-2 blog-paragraph"><?php echo $model->content; ?> </p>
                        <a href="<?= Url::toRoute('works/view?id='.$i);?>" class="text-capitalize">Leer más <span class="fas fa-long-arrow-alt-right"></span></a>
                        <span class="author-post">Escrito por <a href="#">Anónimo</a></span>
                    </div>
                    <div class="col-2"> </div>  
                </div>
             <?php } ?>

        </div>
        <div class="col-3"><br/>
            <div class="category-div">
                <h5>Categorías </h5><br/>       
                <input class="category-label" type="checkbox" value="Economía"/><label class="category-label"for='sales'>Economía</label><br/>
                <input type="checkbox" value="Ciencia"/><label class="category-label" for='sales'>Ciencia</label><br/>
                <input type="checkbox" value="Política"/><label class="category-label" for='sales'>Política</label><br/>
                <input type="checkbox" value="Salud"/><label class="category-label" for='sales'>Salud</label><br/>
                <input type="checkbox" value="Tecnología"/><label class="category-label" for='sales'>Tecnología</label><br/>
                <input type="checkbox" value="Cultura"/><label class="category-label" for='sales'>Cultura</label><br/>
                <input type="checkbox" value="Empresa"/><label class="category-label" for='sales'>Emresa</label><br/>
                <input type="checkbox" value="Arte"/><label class="category-label" for='sales'>Arte</label><br/>
            </div>
        </div>
  </div>
</div>


<!-- js-scripts -->		

	<!-- js -->
	<script type="text/javascript" src="js/jquery-2.1.4.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.js"></script> <!-- Necessary-JavaScript-File-For-Bootstrap --> 
	<!-- //js -->	
	
	<!-- Banner Responsive slider -->
	<script src="js/responsiveslides.min.js"></script>
	<script>
            
		// You can also use "$(window).load(function() {"
		$(function () {
			// Slideshow 3
			$("#slider3").responsiveSlides({
				auto: true,
				pager: false,
				nav: true,
				speed: 500,
				namespace: "callbacks",
				before: function () {
					$('.events').append("<li>before event fired.</li>");
				},
				after: function () {
					$('.events').append("<li>after event fired.</li>");
				}
			});

		});
	</script>
	<!-- // Banner Responsive slider -->
	
	<!-- stats -->
	<script src="js/jquery.waypoints.min.js"></script>
	<script src="js/jquery.countup.js"></script>
	<script>
		$('.counter').countUp();
	</script>
	<!-- //stats -->
	
	<!-- search-bar -->
	<script src="js/main.js"></script>
	<!-- //search-bar -->
	
	<!-- start-smoth-scrolling -->
	<script src="js/SmoothScroll.min.js"></script>
	<script type="text/javascript" src="js/move-top.js"></script>
	<script type="text/javascript" src="js/easing.js"></script>
	<script type="text/javascript">
		jQuery(document).ready(function($) {
			$(".scroll").click(function(event){		
				event.preventDefault();
				$('html,body').animate({scrollTop:$(this.hash).offset().top},1000);
			});
		});
	</script>
	<!-- here stars scrolling icon -->
	<script type="text/javascript">
		$(document).ready(function() {
			/*
				var defaults = {
				containerID: 'toTop', // fading element id
				containerHoverID: 'toTopHover', // fading element hover id
				scrollSpeed: 1200,
				easingType: 'linear' 
				};
			*/
								
			$().UItoTop({ easingType: 'easeOutQuart' });
								
			});
	</script>
	<!-- //here ends scrolling icon -->
	<!-- start-smoth-scrolling -->

	<!-- jQuery-Photo-filter-lightbox-Gallery-plugin -->
	<script type="text/javascript" src="js/jquery-1.7.2.js"></script>
	<script src="js/jquery.quicksand.js" type="text/javascript"></script>
	<script src="js/script.js" type="text/javascript"></script>
	<script src="js/jquery.prettyPhoto.js" type="text/javascript"></script>
	<!-- //jQuery-Photo-filter-lightbox-Gallery-plugin -->

<!-- //js-scripts -->

</body>
</html>

views/works/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\Post */

//$this->title = Yii::t('app', 'Create Post');

include \Yii::getAlias('@app/views/layouts/headers.php');
?>
<div class="post-create workform">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/works/update.php
<?php

use yii\helpers\Html;
use yii\helpers\Url;


/* @var $this yii\web\View */
/* @var $model app\models\Post */

//$this->title = Yii::t('app', 'Create Post');

include \Yii::getAlias('@app/views/layouts/headers.php');
?>
<div class="post-create workform">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
        'id' => $model->id,
    ]) ?>

</div>

views/works/view.php
<?php
/* @var $this \yii\web\View */
/* @var $content string */
use yii\helpers\Html;
?>
<?php 
include \Yii::getAlias('@app/views/layouts/headers.php');
$this->beginBlock('header') ?>
<header class="masthead " >
    <div class="overlay"></div>
    <div class="container ">
        <div class="row"> 
            <?=Html::encode($model->id)?>
            <div class="col-lg-8 col-md-10 mx-auto">
                <div class="post-heading ">
                    <h1><?=Html::encode($model->title)?></h1>
                    <h2 class="subheading"> <?= Html::encode($model->content)?> </h2>                  
                    
                </div>
            </div>
        </div>
    </div>
</header>
<?php $this->endBlock() ?>

<article>
    <div class="container workform">
        <!-- if ($model->status != Constant::STATUS_PUBLISHED || ($model->status == Constant::STATUS_PUBLISHED && $model->published_time > time())): 
        <div class="p-3 mb-2 bg-warning text-dark>('app', 'This post was not published.') <strong><em>Html::a(Yii::t('app', 'Update now'), ['/post/update', 'id' => $model->id])</em></strong></div>-->
        <!-- endif -->
        <div class="row">
            <div class="col-2">                
                <form action="#">
               <input class="btn btn-primary btn-create" type="submit" value="Editar" />
           </form>
            </div>
            <div class="col-lg-8 col-md-10 mx-auto">
                <h1><?=$model->title;?></h1><br/>
               <p> <?= $model->content ?> </p>
            </div>
            <div class="col-2">
                <div class="blog-social-share"><br/>       
                        <li class="fixed-social-list"><a href="#"><i class="social-icons-black fab fa-facebook fa-5x"></i></a></li><br>
                        <li class="fixed-social-list"><a href="#"><i class="social-icons-black fab fa-twitter-square fa-5x"></i></a></li><br>
                        <li class="fixed-social-list"><a href="#"><i class="social-icons-black fab fa-instagram fa-5x"></i></a></li><br>
                        <li class="fixed-social-list"><a href="#"><i class="social-icons-black fab fa-linkedin fa-5x"></i></a></li><br>
                        <li class="fixed-social-list"><a href="#"><i class="social-icons-black fab fa-google-plus-square fa-5x"></i></a></li>
                </div>
            </div>
        </div>
    </div>
</article>

<script>

</script>